Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class SigarMeasurementPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.MeasurementPlugin
              org.hyperic.hq.product.SigarMeasurementPlugin

    public class SigarMeasurementPlugin

extends MeasurementPlugin

Field Summary
`static String` | `DOMAIN`
`static String` | `PTQL_CONFIG`
`static String` | `PTQL_DOMAIN`

Fields inherited from class org.hyperic.hq.product.MeasurementPlugin
`PROP_TEMPLATE_CONFIG, TYPE_COLLECTOR`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`SigarMeasurementPlugin()`

Method Summary
`protected org.hyperic.sigar.Sigar` | `getSigar()`
`org.hyperic.hq.product.MetricValue` | `getValue(Metric metric)` This method is called when the plugin is asked for a metric value.
`void` | `shutdown()` Called when the server or agent is shutdown.
`String` | `translate(String template, org.hyperic.util.config.ConfigResponse config)` Translate a measurement as returned from getMeasurements() into a value which can be passed into the plugin's getValue() routine.

Methods inherited from class org.hyperic.hq.product.MeasurementPlugin
`getCollectorProperties, getConfigSchema, getHelp, getManager, getMeasurementProperties, getMeasurements, getNewCollector, getPlatformHelpProperties, getPluginXMLHelp, init`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

### PTQL_DOMAIN

    public static final String PTQL_DOMAIN

See Also:
  Constant Field Values

### PTQL_CONFIG

    public static final String PTQL_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### SigarMeasurementPlugin

    public SigarMeasurementPlugin()

Method Detail

### getSigar

    protected org.hyperic.sigar.Sigar getSigar()
                                        throws PluginException

  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

### translate

    public String translate(String template,
                            org.hyperic.util.config.ConfigResponse config)

  Description copied from class: `MeasurementPlugin`
  Translate a measurement as returned from getMeasurements() into a value which can be passed into the plugin's getValue() routine.

  Overrides:
    `translate` in class `MeasurementPlugin`
  Parameters:
    `template` - Measurement template from one of the plugins measurements returned from getMeasurements()
    `config` - Configuration used to perform translation on the template

### getValue

    public org.hyperic.hq.product.MetricValue getValue(Metric metric)
                                                throws PluginException,
                                                       MetricNotFoundException,
                                                       MetricUnreachableException

  Description copied from class: `MeasurementPlugin`
  This method is called when the plugin is asked for a metric value. The Metric is a translated value as returned by the getMeasurements() routine, and then run through the translate() method.

  Overrides:
    `getValue` in class `MeasurementPlugin`
  Parameters:
    `metric` - Value returned from translate(), representing a specific metric to retrieve
  Returns:
    The value of the Metric and timestamp of collection time
  Throws:
    `PluginException` - Thrown when an internal plugin error occurs
    `MetricNotFoundException` - The monitored resource does not know about the requested Metric. I.e. JMX AttributeNotFoundException
    `MetricUnreachableException` - The monitored resource is unreachable. I.e. ConnectException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.